# README for Graphical Mount Manager
Graphical Mount Manager is graphical program that makes it easy to mount and unmount iso files. For a user who doesn't care what the path will be, and just wants to open the file, gmm is the right choice.

[App window<br/>![](.images/scrot-gmm.png)](.images/scrot-gmm.png)

## Upstream
This project's upstream is at <https://bgstack15.ddns.net/cgit/gmm>.

## Alternatives
[AcetoneISO](https://bgstack15.ddns.net/blog/outbound/https://sourceforge.net/projects/acetoneiso/) is the obvious alternative. It stopped working for me.

## Reason for existence
AcetoneISO [stopped working](https://bgstack15.ddns.net/blog/posts/2024/11/16/acetoneiso-silent-error-a-plea-for-help/) for the author.

## Using
The gtk frontend supports drag-and-drop. Drag an iso file from the file manager over the list of mounts. The tk frontend does not support dnd at this time.

Call the program, with a filename, to mount the file. The default behavior is to not show the gui if given a path(s) to mount, but you can force the gui to show with `--gui`.

Doubleclick an entry in the list to open it with `xdg-open`. You [might find](https://bgstack15.ddns.net/blog/posts/2023/02/05/xdg-mime-command-for-window-managers/) the following xdg-mime commands useful.

    xdg-mime default xfe.desktop inode/directory
    xdg-mime default xfe.desktop inode/mount-point

## Dependencies

* Devuan
    * python3, python3-magic, python3-psutil, [python3-tkstackrpms](https://bgstack15.ddns.net/cgit/python3-tkstackrpms)

## Building
Just `make && sudo make install`, or use the package build recipe.

## Future improvements

<https://stackoverflow.com/questions/380870/make-sure-only-a-single-instance-of-a-program-is-running>

Provide a socket/method that will let the running program refresh. Add function that refreshes the list, and add a menu entry for it. Have the program try to visit the socket and trigger the refresh function. Maybe just a 5-second timer?

## References
