#!/usr/bin/env python3
# vim: set et ts=4 sts=4 sw=4:
# File: gmm-mount-helper.py
# Location: /usr/libexec/gmm
# Author: bgstack15
# SPDX-License-Identifier: GPL-3.0-only
# Startdate: 2024-12-04-4 13:12
# Title: Sudo helper for gmm
# Purpose: single command to grant sudo access
# History:
# Usage:
# Reference:
# Improve:
# Dependencies:
#    dep-devuan: python3-magic
import argparse, sys, os, magic, subprocess, pathlib

sys.path.append("/usr/share/gmm")
home_dir = os.getenv("SUDO_HOME",os.getenv("HOME"))

# ADJUST THIS SECTION FOR DEVELOPMENT
# for prod, this should be ""
if os.getenv("DEBUG",False):
    sys.path.append(os.path.join(home_dir,"dev","gmm","src","usr/share/gmm"))

import gmm_lib as gmm
from gmm_lib import debuglev, ferror

if "__main__" == __name__:
    # MAIN APP
    app = gmm.Gmm(gmm.args, is_mount_helper = True)
    app.cli_main()
